Page 1 of 1

Raspberry pi 2 microsd compatability

Posted: Sun Feb 08, 2015 9:33 am
by Hacker'n'Tinker guy
Hi
I have heard as the new raspberry pi 2 has a different architecture meaning all software needs to be redone. And i have not seen any noobs downloads for raspberry pi 2. So does a sd card taken out of a b+ work in a rpi 2.

Thanks
Daniel

Re: Raspberry pi 2 microsd compatability

Posted: Sun Feb 08, 2015 9:38 am
by B.Goode
Hacker'n'Tinker guy wrote: i have not seen any noobs downloads for raspberry pi 2.
From http://www.raspberrypi.org/downloads/

Click on More info + under NOOBS/NOOBS Lite and it says -
Pi Version supported: Pi 1 and 2

Re: Raspberry pi 2 microsd compatability

Posted: Sun Feb 08, 2015 9:45 am
by Hacker'n'Tinker guy
Ok thanks but if i buy a preinstalled one, will that work?

Re: Raspberry pi 2 microsd compatability

Posted: Sun Feb 08, 2015 9:52 am
by B.Goode
Hacker'n'Tinker guy wrote:Ok thanks but if i buy a preinstalled one, will that work?
It depends on what it is preinstalled with. Some sellers appear to not know or care what version of NOOBS they supply or what the compatibility issues might be.

If you want it to work with a Model 2B, make it a condition of purchase that you require NOOBS 1.3.12 or later for use with the model of RPi that you have.

Re: Raspberry pi 2 microsd compatability

Posted: Sun Feb 08, 2015 11:36 am
by mmfc
Does that image include all the RPI2 supporting OSes (e.g. OpenELEC)?

Re: Raspberry pi 2 microsd compatability

Posted: Sun Feb 08, 2015 11:44 am
by DougieLawson
Hacker'n'Tinker guy wrote: I have heard as the new raspberry pi 2 has a different architecture meaning all software needs to be redone.
99.99% of everything that runs on an A/A+/B/B+ runs just fine on a RPI2. The problem is only with programs that access GPIO pins using a base address of 0x20000000. That needs to change to 0x3f000000 (there's a few more details but that's the basics).

Re: Raspberry pi 2 microsd compatability

Posted: Sun Feb 08, 2015 12:08 pm
by mmfc
Just tried using NOOBS on my Pi 2, it says OpenELEC isn't compatible

Re: Raspberry pi 2 microsd compatability

Posted: Sun Feb 08, 2015 12:28 pm
by DirkS
mmfc wrote:Just tried using NOOBS on my Pi 2, it says OpenELEC isn't compatible
Correct. They're working on that and it should be available soon

Re: Raspberry pi 2 microsd compatability

Posted: Sun Feb 08, 2015 1:56 pm
by mmfc
Can't wait, for some reason imaging the RPI2 version kills my SD cards...

Re: Raspberry pi 2 microsd compatability

Posted: Sun Feb 08, 2015 2:00 pm
by Hacker'n'Tinker guy
Can you point me to a compatible pre installed noobs micros card as i can't find one that has the correct software version and it states it is compatible with the rpi 2.
thanks
Daniel

Re: Raspberry pi 2 microsd compatability

Posted: Sun Feb 08, 2015 4:28 pm
by richardgrant
Hacker'n'Tinker guy wrote:Can you point me to a compatible pre installed noobs micros card as i can't find one that has the correct software version and it states it is compatible with the rpi 2.
thanks
Daniel
I haven't seen one, either. The primary source of these, element14, does not seem to have them available for shipping yet. For now, you'll have to create one from scratch, following the instructions here:

http://www.raspberrypi.org/help/noobs-setup/